<?php

namespace Lucent\Schema\Validator;

interface ValidatorInterface
{

    public function validate(): ValidatorInterface;

    public function value(): ValidatorError;

    public function hasError(): bool;
}
